Upstream information

CVE-2018-16468 at MITRE

Description

In the Loofah gem for Ruby, through v2.2.2, unsanitized JavaScript may occur in sanitized output when a crafted SVG element is republished.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.4 6.4
Vector CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:L/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low Low
User Interaction Required None
Scope Changed Changed
Confidentiality Impact Low None
Integrity Impact Low Low
Availability Impact None Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1113969 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SAP-Azure
Image SLES15-SAP-Azure-BYOS
Image SLES15-SAP-Azure-LI-BYOS-Production
Image SLES15-SAP-Azure-VLI-BYOS-Production
Image SLES15-SAP-EC2-HVM
Image SLES15-SAP-EC2-HVM-BYOS
Image SLES15-SAP-GCE
Image SLES15-SAP-GCE-BYOS
Image SLES15-SAP-OCI-BYOS
Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM
Image SLES15-SP1-CAP-Deployment-BYOS-GCE
Image SLES15-SP1-SAP-Azure
Image SLES15-SP1-SAP-Azure-BYOS
Image SLES15-SP1-SAP-Azure-LI-BYOS-Production
Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP1-SAP-EC2-HVM
Image SLES15-SP1-SAP-EC2-HVM-BYOS
Image SLES15-SP1-SAP-GCE
Image SLES15-SP1-SAP-GCE-BYOS
Image SLES15-SP1-SAP-OCI-BYOS
Image SLES15-SP2-CAP-Deployment-BYOS-Azure
Image SLES15-SP2-CAP-Deployment-BYOS-EC2-HVM
Image SLES15-SP2-CAP-Deployment-BYOS-GCE
Image SLES15-SP2-SAP-Azure
Image SLES15-SP2-SAP-Azure-LI-BYOS-Production
Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP2-SAP-BYOS-Azure
Image SLES15-SP2-SAP-BYOS-EC2-HVM
Image SLES15-SP2-SAP-BYOS-GCE
Image SLES15-SP2-SAP-EC2-HVM
Image SLES15-SP2-SAP-GCE
Image SLES15-SP3-SAP-Azure-LI-BYOS-Production
Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP3-SAP-BYOS-Azure
Image SLES15-SP3-SAP-BYOS-EC2-HVM
Image SLES15-SP3-SAP-BYOS-GCE
Image SLES15-SP4-SAP-Azure-LI-BYOS
Image SLES15-SP4-SAP-Azure-LI-BYOS-Production
Image SLES15-SP4-SAP-Azure-VLI-BYOS
Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP4-SAP-BYOS
Image SLES15-SP4-SAP-BYOS-Azure
Image SLES15-SP4-SAP-BYOS-EC2
Image SLES15-SP4-SAP-BYOS-GCE
Image SLES15-SP4-SAP-Hardened-BYOS
Image SLES15-SP4-SAP-Hardened-BYOS-Azure
Image SLES15-SP4-SAP-Hardened-BYOS-EC2
Image SLES15-SP4-SAP-Hardened-BYOS-GCE
  • ruby2.5-rubygem-loofah >= 2.2.2-4.3.1
SUSE Enterprise Storage 4
  • ruby2.1-rubygem-loofah >= 2.0.2-3.5.1
Patchnames:
SUSE-Storage-4-2019-394
SUSE Enterprise Storage 6
  • rmt-server >= 1.2.2-1.15
  • rmt-server-pubcloud >= 1.2.2-1.15
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP1 GA rmt-server-pubcloud-1.2.2-1.15
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA rmt-server-1.2.2-1.15
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • rmt-server >= 2.6.8-1.2
  • rmt-server-config >= 2.6.8-1.2
  • rmt-server-pubcloud >= 2.6.8-1.2
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP3 GA rmt-server-pubcloud-2.6.8-1.2
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA rmt-server-2.6.8-1.2
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • rmt-server >= 2.5.4-1.39
  • rmt-server-config >= 2.5.4-1.39
  • rmt-server-pubcloud >= 2.5.4-1.39
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP2 GA rmt-server-pubcloud-2.5.4-1.39
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA rmt-server-2.5.4-1.39
SUSE Linux Enterprise High Availability 15 SP1
  • ruby2.5-rubygem-loofah >= 2.2.2-4.3.1
Patchnames:
SUSE Linux Enterprise High Availability 15 SP1 GA ruby2.5-rubygem-loofah-2.2.2-4.3.1
SUSE Linux Enterprise High Availability 15
  • ruby2.5-rubygem-loofah >= 2.2.2-4.3.1
Patchnames:
SUSE-SLE-Product-HA-15-2018-2797
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • rmt-server >= 1.2.2-1.15
  • rmt-server-pubcloud >= 1.2.2-1.15
  • ruby2.5-rubygem-loofah >= 2.2.2-4.3.1
Patchnames:
SUSE Linux Enterprise High Availability 15 SP1 GA ruby2.5-rubygem-loofah-2.2.2-4.3.1
SUSE Linux Enterprise Module for Public Cloud 15 SP1 GA rmt-server-pubcloud-1.2.2-1.15
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA rmt-server-1.2.2-1.15
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • rmt-server >= 2.7.1-150400.1.7
  • rmt-server-config >= 2.7.1-150400.1.7
  • rmt-server-pubcloud >= 2.7.1-150400.1.7
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP4 GA rmt-server-pubcloud-2.7.1-150400.1.7
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA rmt-server-2.7.1-150400.1.7
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • rmt-server >= 1.1.1-3.13.1
  • ruby2.5-rubygem-loofah >= 2.2.2-4.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-272
SUSE-SLE-Product-HA-15-2018-2797
SUSE Linux Enterprise Module for Public Cloud 15 SP1
  • rmt-server-pubcloud >= 1.2.2-1.15
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP1 GA rmt-server-pubcloud-1.2.2-1.15
SUSE Linux Enterprise Module for Public Cloud 15 SP2
  • rmt-server-pubcloud >= 2.5.4-1.39
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP2 GA rmt-server-pubcloud-2.5.4-1.39
SUSE Linux Enterprise Module for Public Cloud 15 SP3
  • rmt-server-pubcloud >= 2.6.8-1.2
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP3 GA rmt-server-pubcloud-2.6.8-1.2
SUSE Linux Enterprise Module for Public Cloud 15 SP4
  • rmt-server-pubcloud >= 2.7.1-150400.1.7
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP4 GA rmt-server-pubcloud-2.7.1-150400.1.7
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • rmt-server >= 1.2.2-1.15
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA rmt-server-1.2.2-1.15
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • rmt-server >= 2.5.4-1.39
  • rmt-server-config >= 2.5.4-1.39
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA rmt-server-2.5.4-1.39
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • rmt-server >= 2.6.8-1.2
  • rmt-server-config >= 2.6.8-1.2
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA rmt-server-2.6.8-1.2
SUSE Linux Enterprise Module for Server Applications 15 SP4
  • rmt-server >= 2.7.1-150400.1.7
  • rmt-server-config >= 2.7.1-150400.1.7
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA rmt-server-2.7.1-150400.1.7
SUSE Linux Enterprise Module for Server Applications 15
  • rmt-server >= 1.1.1-3.13.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-272
SUSE OpenStack Cloud 7
  • ruby2.1-rubygem-loofah >= 2.0.2-3.5.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-394
SUSE OpenStack Cloud Crowbar 8
  • ruby2.1-rubygem-loofah >= 2.0.2-3.5.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-394
openSUSE Leap 15.0
  • rmt-server >= 1.1.1-lp150.2.12.1
  • rmt-server-pubcloud >= 1.1.1-lp150.2.12.1
  • ruby2.5-rubygem-loofah >= 2.2.2-lp150.3.3.1
  • ruby2.5-rubygem-loofah-doc >= 2.2.2-lp150.3.3.1
  • ruby2.5-rubygem-loofah-testsuite >= 2.2.2-lp150.3.3.1
Patchnames:
openSUSE-2019-185
openSUSE-2019-963
openSUSE Tumbleweed
  • rmt-server >= 2.6.13-1.1
  • rmt-server-config >= 2.6.13-1.1
  • rmt-server-pubcloud >= 2.6.13-1.1
  • ruby2.7-rubygem-loofah >= 2.12.0-1.2
  • ruby3.0-rubygem-loofah >= 2.12.0-1.2
  • ruby3.1-rubygem-loofah >= 2.14.0-1.1
Patchnames:
openSUSE Tumbleweed GA rmt-server-2.6.13-1.1
openSUSE Tumbleweed GA ruby2.7-rubygem-loofah-2.12.0-1.2
openSUSE Tumbleweed GA ruby3.1-rubygem-loofah-2.14.0-1.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 rmt-server Already fixed
SUSE Enterprise Storage 2.1 rubygem-loofah Affected
SUSE Enterprise Storage 3 rubygem-loofah Affected
SUSE Enterprise Storage 4 rubygem-loofah Released
SUSE Enterprise Storage 6 rmt-server Already fixed
SUSE Linux Enterprise High Availability 15 rubygem-loofah Released
SUSE Linux Enterprise High Availability 15 SP1 rubygem-loofah Affected
SUSE Linux Enterprise High Availability 15 SP2 rubygem-loofah Affected
SUSE Linux Enterprise High Availability 15 SP3 rubygem-loofah Affected
SUSE Linux Enterprise High Availability 15 SP4 rubygem-loofah Affected
SUSE Linux Enterprise High Availability Extension 15 rubygem-loofah Released
SUSE Linux Enterprise High Availability Extension 15 SP1 rubygem-loofah Affected
SUSE Linux Enterprise High Availability Extension 15 SP2 rubygem-loofah Affected
SUSE Linux Enterprise High Performance Computing 15 rmt-server Released
SUSE Linux Enterprise High Performance Computing 15 rubygem-loofah Released
SUSE Linux Enterprise High Performance Computing 15 SP1 rmt-server Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 rubygem-loofah Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS rmt-server Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS rmt-server Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 rubygem-loofah Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rubygem-loofah Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rubygem-loofah Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS rmt-server Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS rmt-server Released
SUSE Linux Enterprise Module for Public Cloud 15 SP1 rmt-server Already fixed
SUSE Linux Enterprise Module for Server Applications 15 rmt-server Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 rmt-server Already fixed
SUSE Linux Enterprise Server 15 rmt-server Released
SUSE Linux Enterprise Server 15 rubygem-loofah Released
SUSE Linux Enterprise Server 15 SP1 rmt-server Already fixed
SUSE Linux Enterprise Server 15 SP1 rubygem-loofah Affected
SUSE Linux Enterprise Server 15 SP1-BCL rmt-server Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS rmt-server Already fixed
SUSE Linux Enterprise Server 15 SP2 rubygem-loofah Affected
SUSE Linux Enterprise Server 15 SP3 rubygem-loofah Affected
SUSE Linux Enterprise Server 15 SP4 rubygem-loofah Affected
SUSE Linux Enterprise Server 15-ESPOS rmt-server Released
SUSE Linux Enterprise Server 15-LTSS rmt-server Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 rmt-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 rmt-server Released
SUSE Linux Enterprise Server for SAP Applications 15 rubygem-loofah Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rmt-server Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rubygem-loofah Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 rubygem-loofah Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rubygem-loofah Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rubygem-loofah Affected
SUSE Manager Proxy 4.0 rmt-server Already fixed
SUSE Manager Proxy 4.0 rubygem-loofah Affected
SUSE Manager Proxy 4.1 rubygem-loofah Affected
SUSE Manager Proxy 4.2 rubygem-loofah Affected
SUSE Manager Proxy 4.3 rubygem-loofah Affected
SUSE Manager Retail Branch Server 4.0 rmt-server Already fixed
SUSE Manager Retail Branch Server 4.0 rubygem-loofah Affected
SUSE Manager Retail Branch Server 4.1 rubygem-loofah Affected
SUSE Manager Retail Branch Server 4.2 rubygem-loofah Affected
SUSE Manager Retail Branch Server 4.3 rubygem-loofah Affected
SUSE Manager Server 4.0 rmt-server Already fixed
SUSE Manager Server 4.0 rubygem-loofah Affected
SUSE Manager Server 4.1 rubygem-loofah Affected
SUSE Manager Server 4.2 rubygem-loofah Affected
SUSE Manager Server 4.3 rubygem-loofah Affected
SUSE OpenStack Cloud 6 rubygem-loofah Affected
SUSE OpenStack Cloud 6-LTSS rubygem-loofah Affected
SUSE OpenStack Cloud 7 rubygem-loofah Released
SUSE OpenStack Cloud Crowbar 8 rubygem-loofah Released
SUSE OpenStack Cloud Crowbar 9 rubygem-loofah Affected


SUSE Timeline for this CVE

CVE page created: Tue Oct 30 14:29:52 2018
CVE page last modified: Fri Dec 2 12:10:13 2022